<?php

namespace App\DBTestSupport;

use Illuminate\Support\Facades\DB;

class CountryMother {
    
    public static function build1($id = 1) {
        return [
            'Id_Country'			=> $id,            
            'Country_Code'		    => 'PE',
            'Country_Name'		    => 'Perú',
            'Country_Status'		=> 2,
        ];
    }

    public static function push1($id = 1) {
        return self::push(self::build1($id));
    }

    private static function push($object) {
        DB::select("CALL `sp_country_insert` (?,?,?)", [
            $object['Country_Code'],
            $object['Country_Name'],
            $object['Country_Status'],
        ]);
        return $object;
    }

}